
#language: ru

@MovingProductsRLS

Функционал: 004. MovingProductsRLS. Установка РЛС и настроек печати

Сценарий: 004.1. MovingProductsRLS. Установка РЛС

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "17.004. РЛС Перемещения товаров"
	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я устанавливаю флаг 'Ограничивать доступ на уровне записей'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: 004.2. MovingProductsRLS. Установка ограничений для Создание заданий на доставку РЛС

	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я нажимаю на кнопку 'Группы доступа'
	Тогда открылось окно 'Группы доступа'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                     |
		| 'Создание заданий на доставку РЛС' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Создание заданий на доставку РЛС (Группа доступа)'
	И я перехожу к закладке "Ограничения доступа"
	И в таблице "ВидыДоступа" я перехожу к строке:
		| 'Вид доступа' |
		| 'Организации' |
	И я удаляю все строки таблицы "ЗначенияДоступа"
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" из выпадающего списка "Значение доступа" я выбираю по строке 'Организация'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ВидыДоступа" я перехожу к строке:
		| 'Вид доступа' |
		| 'Контрагенты' |
	И я удаляю все строки таблицы "ЗначенияДоступа"
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" из выпадающего списка "Значение доступа" я выбираю по строке 'Ашан'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" из выпадающего списка "Значение доступа" я выбираю по строке 'Перевозчик(Газель)'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ВидыДоступа" я перехожу к строке:
		| 'Вид доступа' |
		| 'Склады'      |
	И я удаляю все строки таблицы "ЗначенияДоступа"
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я нажимаю кнопку выбора у реквизита "Значение доступа"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'Группа складов для отгрузки' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Создание заданий на доставку РЛС (Группа доступа) *'
	И в таблице "ЗначенияДоступа" я устанавливаю флаг 'Включая нижестоящие'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ВидыДоступа" я перехожу к строке:
		| 'Вид доступа'   |
		| 'Подразделения' |
	И я удаляю все строки таблицы "ЗначенияДоступа"
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я нажимаю кнопку выбора у реквизита "Значение доступа"
	Тогда открылось окно 'Подразделения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                          |
		| 'Подразделения формирования документов' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Создание заданий на доставку РЛС (Группа доступа) *'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" из выпадающего списка "Значение доступа" я выбираю по строке 'Подразделение приемки заказов'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Создание заданий на доставку РЛС (Группа доступа) *' в течение 20 секунд
	Тогда открылось окно 'Группы доступа'
	И Я закрываю окно 'Группы доступа'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: 004.3. MovingProductsRLS. Установка ограничений для Создание планов отгрузки РЛС - для перемещений

	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я нажимаю на кнопку 'Группы доступа'
	Тогда открылось окно 'Группы доступа'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                                   |
		| 'Создание планов отгрузки РЛС - для перемещений' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Создание планов отгрузки РЛС - для перемещений (Группа доступа)'
	И я перехожу к закладке "Ограничения доступа"
	И в таблице "ВидыДоступа" я перехожу к строке:
		| 'Вид доступа' |
		| 'Организации' |
	И я удаляю все строки таблицы "ЗначенияДоступа"
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" из выпадающего списка "Значение доступа" я выбираю по строке 'Организация'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ВидыДоступа" я перехожу к строке:
		| 'Вид доступа' |
		| 'Контрагенты' |
	И я удаляю все строки таблицы "ЗначенияДоступа"
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ВидыДоступа" я перехожу к строке:
		| 'Вид доступа' |
		| 'Склады'      |
	И я удаляю все строки таблицы "ЗначенияДоступа"
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я нажимаю кнопку выбора у реквизита "Значение доступа"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'Группа складов для отгрузки' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Создание планов отгрузки РЛС - для перемещений (Группа доступа) *'
	И в таблице "ЗначенияДоступа" я устанавливаю флаг 'Включая нижестоящие'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ВидыДоступа" я перехожу к строке:
		| 'Вид доступа'   |
		| 'Подразделения' |
	И я удаляю все строки таблицы "ЗначенияДоступа"
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я нажимаю кнопку выбора у реквизита "Значение доступа"
	Тогда открылось окно 'Подразделения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                          |
		| 'Подразделения формирования документов' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Создание планов отгрузки РЛС - для перемещений (Группа доступа) *'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" из выпадающего списка "Значение доступа" я выбираю по строке 'Подразделение приемки заказов'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Создание планов отгрузки РЛС - для перемещений (Группа доступа) *' в течение 20 секунд
	Тогда открылось окно 'Группы доступа'
	И Я закрываю окно 'Группы доступа'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: 004.4. MovingProductsRLS. Установка ограничений для Создание заказов на перемещение РЛС

	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я нажимаю на кнопку 'Группы доступа'
	Тогда открылось окно 'Группы доступа'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                        |
		| 'Создание заказов на перемещение РЛС' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Создание заказов на перемещение РЛС (Группа доступа)'
	И я перехожу к закладке "Ограничения доступа"
	И в таблице "ВидыДоступа" я перехожу к строке:
		| 'Вид доступа' |
		| 'Организации' |
	И я удаляю все строки таблицы "ЗначенияДоступа"
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" из выпадающего списка "Значение доступа" я выбираю по строке 'Организация'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ВидыДоступа" я перехожу к строке:
		| 'Вид доступа' |
		| 'Склады'      |
	И я удаляю все строки таблицы "ЗначенияДоступа"
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я нажимаю кнопку выбора у реквизита "Значение доступа"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'Группа складов для отгрузки' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Создание заказов на перемещение РЛС (Группа доступа) *'
	И в таблице "ЗначенияДоступа" я устанавливаю флаг 'Включая нижестоящие'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ВидыДоступа" я перехожу к строке:
		| 'Вид доступа'   |
		| 'Подразделения' |
	И я удаляю все строки таблицы "ЗначенияДоступа"
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я нажимаю кнопку выбора у реквизита "Значение доступа"
	Тогда открылось окно 'Подразделения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                          |
		| 'Подразделения формирования документов' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Создание заказов на перемещение РЛС (Группа доступа) *'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" из выпадающего списка "Значение доступа" я выбираю по строке 'Подразделение приемки заказов'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Создание заказов на перемещение РЛС (Группа доступа) *' в течение 20 секунд
	Тогда открылось окно 'Группы доступа'
	И Я закрываю окно 'Группы доступа'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: 004.5. MovingProductsRLS. Установка ограничений для Формирование накладных РЛС - перемещения

	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я нажимаю на кнопку 'Группы доступа'
	Тогда открылось окно 'Группы доступа'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                             |
		| 'Формирование накладных РЛС - перемещения' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Формирование накладных РЛС - перемещения (Группа доступа)'
	И я перехожу к закладке "Ограничения доступа"
	И в таблице "ВидыДоступа" я перехожу к строке:
		| 'Вид доступа' |
		| 'Организации' |
	И я удаляю все строки таблицы "ЗначенияДоступа"
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" из выпадающего списка "Значение доступа" я выбираю по строке 'Организация'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ВидыДоступа" я перехожу к строке:
		| 'Вид доступа' |
		| 'Контрагенты' |
	И я удаляю все строки таблицы "ЗначенияДоступа"
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" из выпадающего списка "Значение доступа" я выбираю по строке 'Перевозчик(Газель)'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ВидыДоступа" я перехожу к строке:
		| 'Вид доступа' |
		| 'Склады'      |
	И я удаляю все строки таблицы "ЗначенияДоступа"
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я нажимаю кнопку выбора у реквизита "Значение доступа"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'Группа складов для отгрузки' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Формирование накладных РЛС - перемещения (Группа доступа) *'
	И в таблице "ЗначенияДоступа" я устанавливаю флаг 'Включая нижестоящие'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ЗначенияДоступа" я нажимаю на кнопку с именем 'ЗначенияДоступаДобавить'
	И в таблице "ЗначенияДоступа" я завершаю редактирование строки
	И в таблице "ВидыДоступа" я перехожу к строке:
		| 'Вид доступа'   |
		| 'Подразделения' |
	И я удаляю все строки таблицы "ЗначенияДоступа"
	И в таблице "ВидыДоступа" из выпадающего списка "Значения доступа" я выбираю точное значение 'Все разрешены'
	И в таблице "ВидыДоступа" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Формирование накладных РЛС - перемещения (Группа доступа) *' в течение 20 секунд
	Тогда открылось окно 'Группы доступа'
	И Я закрываю окно 'Группы доступа'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: 004.6. MovingProductsRLS. Установка настроек печати

	Дано я удаляю все элементы таблицы "РегистрСведений.к2НастройкиПечатиОбъектов"
	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я нажимаю на кнопку 'Настройки печати объектов'
	Тогда открылось окно 'Настройки печати объектов'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Реализация товаров'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''           |
		| 'Контрагент' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Ашан'         |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Реализация товаров'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''           |
		| 'Контрагент' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Ашан'         |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Реализация товаров'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''           |
		| 'Контрагент' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Ашан'         |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Реализация товаров'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''           |
		| 'Контрагент' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Обычный покупатель' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Корректировка реализации товаров'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''           |
		| 'Контрагент' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Ашан'         |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Корректировка реализации товаров'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''           |
		| 'Контрагент' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Ашан'         |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Корректировка реализации товаров'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''           |
		| 'Контрагент' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Ашан'         |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Корректировка реализации товаров'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''           |
		| 'Контрагент' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Обычный покупатель' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Передача товаров между организациями'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''            |
		| 'Организация' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Организации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Организация'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Передача товаров между организациями'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''            |
		| 'Организация' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Организации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Организация'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Передача товаров между организациями'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''            |
		| 'Организация' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Организации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Организация'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Передача товаров между организациями'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''            |
		| 'Организация' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Организации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Организация2' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Перемещение товаров'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Склад' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'Группа складов для отгрузки' |
	И в таблице  "Список" я перехожу на один уровень вниз
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Куриная ГП'   |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Перемещение товаров'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Склад' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'Группа складов для отгрузки' |
	И в таблице  "Список" я перехожу на один уровень вниз
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Куриная ГП'   |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Перемещение товаров'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Склад' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'Группа складов для отгрузки' |
	И в таблице  "Список" я перехожу на один уровень вниз
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырная ГП'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И в таблице "НастройкиПечатиОбъектов" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Настройки печати объектов (создание)'
	И из выпадающего списка "Тип объекта" я выбираю по строке 'Перемещение товаров'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Клиент"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Склад' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'Склад готовой продукции' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Настройки печати объектов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки печати объектов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Настройки печати объектов *'
	И я закрываю окно 'Настройки печати объектов *'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я закрываю окно 'Настройки исполнения заказов'

Сценарий: 004.7. MovingProductsRLS. Завершение

	И Я закрыл все окна клиентского приложения